body{
	margin: 0 auto;
	background-color: grey;
	font-family: Arial;
}

nav {
	background-color: black;
	position: fixed;
	width: 100%;
	border-bottom: 2px solid darkgrey;
	top: 0px;
	z-index: 1;	
}


nav ul {
	list-style-type: none;
	display: flex;
	justify-content: space-around;
	align-items: center;
	flex-wrap: wrap;
	flex: 1 1 auto;
	margin: 0 auto;
	padding: 0;
	height: 50px;
}

@media screen and (max-width: 500px){
	nav li {
		color: white;
		font-size: 14px;
	}
	
	.container{
		display: grid;
		height: 100%;
		grid-template: 0.5fr 0.2fr 0.5fr 0.5fr 0.5fr 0.5fr 0.5fr 0.25fr 0.5fr 0.25fr 0.5fr 0.25fr 0.5fr 0.25fr / 1fr;
		column-gap: 30px;
		row-gap: 30px;
	}
	.indcators {
		align-content: center;
		padding-left: 5%;
		padding-right: 5%
	}
	
	.indcators-code-image {
		align-content: center;
	}
	
}


@media screen and (min-width: 501px) {
	nav li{
		color: white;
		font-size: 20px;
	}
	
	.container{
		display: grid;
		height: 100%;
		grid-template: 0.7fr 0.5fr 0.5fr 1fr 1fr 1fr / 1fr 1fr;
		column-gap: 30px;
	}
	
	.indcators {
		align-content: center;
		padding-left: 10%;
		padding-right: 10%
	}
	
	.indcators-code-image {
		align-content: center;
		padding-left: 10%;
		padding-right: 10%
	}
	
	
	
}


nav li a {
	text-decoration: none;
	color: inherit;
	
}

nav li:hover {
	color: grey;
	cursor: pointer;
}

main{
	maring: 0 auto;
	position: relative;
	top: 80px;
	text-align: center;
}


.barchart{
	align-content: center;
	padding-left: 10%;
	padding-right: 10%;
}

.marketinfo{
	align-content: center;
	padding-left: 10%;
	padding-right: 10%;
}


.candlepic{
	padding: 8%;
}

p {
	text-align: left;
	font-size: 20px;
}

h2 {
	text-align: left;
}


img {
    width: 100%;       /* Fill the grid cell width */
    height: auto;      /* Maintain aspect ratio */
    object-fit: cover; /* Crop if needed without distortion */
    border-radius: 8px; /* Optional rounded corners */
    display: block;
}

.project-box{
	background-color: rgb(90, 90, 90);
	border-radius: 15px;
	padding-left: 3%;
	padding-right: 3%;
}

.inner-project-box{
	background-color: rgb(58, 58, 58);
	color: rgb(220, 220, 220);
	border-radius: 15px;
	margin-left: 10%;
	margin-right: 10%;
	padding-bottom: 15px;
	padding-left: 3%;
	padding-right: 3%;
}


/* Code generator from Microsoft Co-Pilot */
ul {
    margin: 0;          /* Remove default top/bottom/left margin */
    padding-left: 0;    /* Remove left indentation */
    list-style-position: inside;
}
/*End of Generated Code*/


footer {
	background-color: black;
	color: white;
	position: relative;
	top: 140px;
	text-align: center;
	padding: 3px;
	font-size: 15px;
	border-top: 1px solid lightgrey;
	border-bottom: 1px solid lightgrey;
}






